| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DefaultRenameParser Class Reference
Inheritance diagram for Digikam::DefaultRenameParser:

## Public Member Functions
| DefaultRenameParser (QWidget *const widget)
Public Member Functions inherited from Digikam::Parser
| Parser (QWidget *const widget)
ParseResults | invalidModifiers (ParseSettings &settings)
RulesList | modifiers () const
RulesList | options () const
QString | parse (ParseSettings &settings)
void | reset ()
bool | tokenAtPosition (ParseSettings &settings, int pos)
bool | tokenAtPosition (ParseSettings &settings, int pos, int &start, int &length)

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::Parser
static bool | parseStringIsValid (const QString &str)
| check if the given parse string is valid
Protected Member Functions inherited from Digikam::Parser
void | registerModifier (Rule *modifier)
void | registerOption (Rule *option)
void | unregisterModifier (const Rule *modifier)
void | unregisterOption (const Rule *option)